impala-reviews mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Michael Ho (Code Review)" <ger...@cloudera.org>
Subject [native-toolchain-CR] Add linker's version script for OpenSSL library.
Date Mon, 24 Jul 2017 19:27:19 GMT
Michael Ho has posted comments on this change.

Change subject: Add linker's version script for OpenSSL library.
......................................................................


Patch Set 4:

Added the error message hit by statestored and friends without this change. In fact, if one
were to add the shared library in the toolchain to LD_LIBRARY_PATH, most commands which link
against libssl.so or libcrypto.so will hit similar error message.

I first ran into errors like this when building the krpc branch with the shared library in
the toolchain. Currently, we don't really use the openssl library in the toolchain except
when building on mac.

-- 
To view, visit http://gerrit.cloudera.org:8080/7484
To unsubscribe, visit http://gerrit.cloudera.org:8080/settings

Gerrit-MessageType: comment
Gerrit-Change-Id: I72b39c5e15db268d35210c013e885f36764f1f89
Gerrit-PatchSet: 4
Gerrit-Project: native-toolchain
Gerrit-Branch: master
Gerrit-Owner: Michael Ho <kwho@cloudera.com>
Gerrit-Reviewer: Henry Robinson <henry@cloudera.com>
Gerrit-Reviewer: Matthew Jacobs <mj@cloudera.com>
Gerrit-Reviewer: Michael Ho <kwho@cloudera.com>
Gerrit-Reviewer: Sailesh Mukil <sailesh@cloudera.com>
Gerrit-HasComments: No

Mime
View raw message